Subject: Re: bug#66656: Bug reports

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Oct 2023 10:27:04 +0300

> Date: Fri, 20 Oct 2023 21:42:25 +0000 (UTC)
> From:  Lewis Creary via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I'm reporting a bug in Gnu emacs lisp, but I'm also reporting a bug in the
> process of reporting emacs lisp bugs.  This first bug consists in the fact
> that, in bug reports sent using M-x report-emacs-bug, my email address ([email-masked], in the
> "from:" field of the email), would have been mangled into a somewhat similar, but different, address
> in the process of submitting the report.  As a result, any acknowledgment email intended for me (but
> sent to the mangled address) would not reach me, but would
> instead generate a "no such person" mailing error.

AFAIK, this should not happen.  In particular, this response email,
where the To: header was produced by my MUA, has your correct
unmangled email address.

> The main bug I'm reporting consists in the fact that recently, when I tried
> to test the lisp function displayed just below, I triggered the lisp error
> message "`let' bindings can have only one value-form", when it is clear from inspection of the let* form
> in question that no such bug exists.  The let* form in question does have just one value-form, the lisp
> variable 
>  eight-powr-sum..

As Steve points out, the first binding includes an error, a typo,
where { was used instead of (.

I see no Emacs bug here.